[parsec-users] Ubuntu installation problem 2.1

Jim Dempsey jim at quickthreadprogramming.com
Tue Jun 8 17:11:49 EDT 2010


Chris,
 
Trying installation of parsec-2.1 on Ubuntu 10.0 with gcc/g++ 4.5 and Intel
icc
This is my first time doing install of PARSEC on Ubuntu.
 
Reason for installation from scratch is I had an installation on my Windows
system and copied the files over to Ubuntu system.
The parsecmgmt build got tripped-up over additional folders created in the
Windows configuration. So I tried installation to new folder.
Intention being to copy individual .c, .cpp files into new install as needed
(but keep unwanted folders from being created).
 
General comments
 
README should have some samples showing installation steps (commands) issued
on the various platforms.
 
The .../config/*.bldconf files should attempt at discovery of compilers
etc.. but be setup to issue error and instructions if required environment
variables not set. Currently you have environment variables set for your
system. Example
 
     n/fs/usr/bin....
 
icc default paths are now different (having problems getting them to work)
 
 
magick/decorate.c will not compile on my system using -O3
 
Fails using gcc 4.4, gcc 4.5 and icc (yet to be released beta versionn)
 
Failure is compilation hang (killed compilation after ~10 minutes or so)
-O1 works, don't know about other optimizations.
 
Probably should consider adding means to override optimization switches at
configuration level as opposed to editing make file
Example
 
# Uncomment following line to depreciate optimizations for 
# CFLAGS_MAGICK_DECORATE = -O2 ...
 
Also having missing components for GLUT
 
    xmu
 
can locate.
 
Jim
 
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://lists.cs.princeton.edu/pipermail/parsec-users/attachments/20100608/384d1aaa/attachment.htm>


More information about the parsec-users mailing list